from django.urls import include, path
from rest_framework import routers
from .views.std_views import AdminFilmViewSet, FilmViewSet
from .views.tmdb_views import TmdbViewSet

router = routers.DefaultRouter()
router.register(r"admin/films", AdminFilmViewSet, "admin-films")
router.register(r"films", FilmViewSet, "films")
router.register(r"tmdb", TmdbViewSet, "tmdb")

# Wire up our API using automatic URL routing.
# Additionally, we include login URLs for the browsable API.
urlpatterns = [
    path("", include(router.urls)),
    path("api-auth/", include("rest_framework.urls", namespace="rest_framework")),
]
